# Uses of Class lecteur_pdf.Fenetre
use: package: lecteur_pdf, class: Fenetre

# Uses of Class
lecteur_pdf.Fenetre

Packages that use Fenetre
Package
Description
lecteur_pdf
lecteur_pdf.menuBar
lecteur_pdf.menuBar.menu
lecteur_pdf.menuBar.menuItems

## Uses of Fenetre in lecteur_pdf

Fields in lecteur_pdf with type parameters of type Fenetre
Modifier and Type
Field
Description
`static final List<Fenetre>`
GestionFenetre.`FENETRE_LIST`
Liste des `fenêtres` ouvertes

## Uses of Fenetre in lecteur_pdf.menuBar

Constructors in lecteur_pdf.menuBar with parameters of type Fenetre
Modifier
Constructor
Description
``
`MenuBar(Fenetre parent)`
Créé une nouvelle barre de menu avec l'ensemble des `menu` de l'application

## Uses of Fenetre in lecteur_pdf.menuBar.menu

Constructors in lecteur_pdf.menuBar.menu with parameters of type Fenetre
Modifier
Constructor
Description
``
`MenuAffichage(Fenetre parent)`
Créé une nouvelle instance du menu d'affichage
``
`MenuFichier(Fenetre parent)`
Créé une nouvelle instance du menu fichier
``
`MenuMode(Fenetre parent)`
Créé une nouvelle instance du menu Mode
``
`MenuOptions(Fenetre parent)`
Créé une nouvelle instance du menu Options

## Uses of Fenetre in lecteur_pdf.menuBar.menuItems

Fields in lecteur_pdf.menuBar.menuItems declared as Fenetre
Modifier and Type
Field
Description
`(package private) final Fenetre`
MenuItem.`parent`
Référence de la `fenêtre` qui possède l'instance de ce MenuItem
Constructors in lecteur_pdf.menuBar.menuItems with parameters of type Fenetre
Modifier
Constructor
Description
``
`FermerFichier(Fenetre parent)`
Créé un nouvel élément de `MenuFichier`
``
`MenuItem(Fenetre parent, String name)`
Créé un nouvel élément de `menu` avec un nom, une action et se référence dans la liste des `raccourcis claviers`
``
`ModifierTouches(Fenetre parent)`
Créé un nouvel élément de `MenuOptions`
``
`NouvelleFenetre(Fenetre parent)`
Créé un nouvel élément de `MenuMode`
``
`OuvrirFichier(Fenetre parent)`
Créé un nouvel élément de `MenuFichier`
``
`PageEntiere(Fenetre parent)`
Créé un nouvel élément de `MenuAffichage`
``
`PagePrecedente(Fenetre parent)`
Créé un nouvel élément de `MenuAffichage`
``
`PageSuivante(Fenetre parent)`
Créé un nouvel élément de `MenuAffichage`
``
`PleinEcran(Fenetre parent)`
Créé un nouvel élément de `MenuAffichage`
``
`PleineLargeur(Fenetre parent)`
Créé un nouvel élément de `MenuAffichage`
``
`Quitter(Fenetre parent)`
Créé un nouvel élément de `MenuFichier`
``
`ZoomDefaut(Fenetre parent)`
Créé un nouvel élément de `MenuAffichage`
``
`ZoomMoins(Fenetre parent)`
Créé un nouvel élément de `MenuAffichage`
``
`ZoomPlus(Fenetre parent)`
Créé un nouvel élément de `MenuAffichage`